package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.util.HexFormat;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class Signature {

    public final String identifier;
    public final byte[] blob;

    public Signature(String identifier, byte[] blob) {
        assertNotNull(identifier);
        this.identifier = identifier;

        assertNotNull(blob);
        this.blob = blob;
    }

    @Override
    public String toString() {
        return "Signature {"
               + "identifier='" + this.identifier + '\''
               + ", blob=" + HexFormat.formatData(this.blob)
               + '}';
    }
}
